#include "FreeRTOS.h"

#include "dac.h"

//
//
//
void dacInit (void)
{
  PCB_PINSEL1 |= PCB_PINSEL1_P025_AOUT;

  DAC_CR = 0;
}

unsigned int dacSet (unsigned int newValue)
{
  unsigned int dacCR;
  unsigned int dacCurrentValue;

  dacCR = DAC_CR;
  dacCurrentValue = (dacCR & DAC_CR_VALUEMASK) >> DAC_CR_VALUESHIFT;
  dacCR = (dacCR & ~DAC_CR_VALUEMASK) | ((newValue << DAC_CR_VALUESHIFT) & DAC_CR_VALUEMASK);
  DAC_CR = dacCR;

  return dacCurrentValue;
}
