#include "FreeRTOS.h"
#include "usbapi.h"


//
//  Data storage area for standard requests
//
static U8 abStdReqData [8];


//
//  USB reset handler
//
static void usbHandleReset(U8 bDevStatus __attribute__ ((unused)))
{
}

//
//
//
BOOL usbRegisterHandlers (void)
{
  usbHardwareInit ();
  usbHardwareRegisterDevIntHandler (usbHandleReset);
  usbHardwareRegisterEPIntHandler (0x00, usbHandleControlTransfer);
  usbHardwareRegisterEPIntHandler (0x80, usbHandleControlTransfer);
  usbRegisterRequestHandler (REQTYPE_TYPE_STANDARD, usbHandleStandardRequest, abStdReqData);

  return TRUE;
}
